package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.CheckJobDTO;
import com.diagbot.dto.CheckWorkDTO;
import com.diagbot.dto.DeptCheckUserDTO;
import com.diagbot.entity.MedCheckInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.CheckJobVO;
import com.diagbot.vo.CheckUserVO;
import com.diagbot.vo.CheckWorkPageVO;

import java.util.List;

/**
 * <p>
 * 核查表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-06
 */
public interface MedCheckInfoMapper extends BaseMapper<MedCheckInfo> {
    //通过核查人员id获取核查人员的核查任务数
    List<DeptCheckUserDTO> getJobNumByUserId(CheckUserVO checkUserVO);
    //获取未分配的核查任务
    List<CheckJobDTO> getCheckList(CheckJobVO checkJobVO);
    /**
     * 核查任务列表
     *
     * @param checkWorkPageVO
     * @return
     */
    IPage<CheckWorkDTO> getCheckWorkPage(CheckWorkPageVO checkWorkPageVO);
    //获取指定核查人员的核查任务
    List<CheckJobDTO> getCheckListByUserId(CheckJobVO checkJobVO);
    void getUpdateBatch(List<String> list);
}
